Package net.rubygrapefruit.platform.internal

# Class DefaultWindowsRegistry

java.lang.Object
net.rubygrapefruit.platform.internal.DefaultWindowsRegistry

All Implemented Interfaces:
  `NativeIntegration`, `WindowsRegistry`

public class DefaultWindowsRegistry extends Object implements WindowsRegistry

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.rubygrapefruit.platform.WindowsRegistry

`WindowsRegistry.Key`

## Constructor Summary

Constructors
Constructor
Description
`DefaultWindowsRegistry()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStringValue(WindowsRegistry.Key key, String subkey, String valueName)`
Returns a registry key value as a String.
`List<String>`
`getSubkeys(WindowsRegistry.Key key, String subkey)`
Lists the subkeys of a registry key.
`List<String>`
`getValueNames(WindowsRegistry.Key key, String subkey)`
Lists the value names of a registry key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultWindowsRegistry

public DefaultWindowsRegistry()

## Method Details

### getStringValue

public String getStringValue(WindowsRegistry.Key key, String subkey, String valueName) throws NativeException
Description copied from interface: `WindowsRegistry`
Returns a registry key value as a String.

Specified by:
  `getStringValue` in interface `WindowsRegistry`
Throws:
  `NativeException` - On failure.

### getSubkeys

public List<String> getSubkeys(WindowsRegistry.Key key, String subkey) throws NativeException
Description copied from interface: `WindowsRegistry`
Lists the subkeys of a registry key.

Specified by:
  `getSubkeys` in interface `WindowsRegistry`
Throws:
  `NativeException` - On failure.

### getValueNames

public List<String> getValueNames(WindowsRegistry.Key key, String subkey) throws NativeException
Description copied from interface: `WindowsRegistry`
Lists the value names of a registry key.

Specified by:
  `getValueNames` in interface `WindowsRegistry`
Throws:
  `NativeException` - On failure.